var s = 1000;
var m = s * 60;
var h = m * 60;
var d = h * 24;
var w = d * 7;
var y = d * 365.25;

class index {
	static replaceAll(bir, iki, uc) {
		if(!bir) {
			throw new TypeError("Lütfen metni girin.")
		}
		if(!iki) {
			throw new TypeError("Lütfen metin üzerinde değişiklik yapılacak yazıyı girin.")
		}
		if(!uc && uc !== "SIL") {
			throw new TypeError("Üzerinde değişiklik yapılacak yazının yeni değerini girin.")
		}
		if(typeof bir !== "string" || typeof iki !== "string" || typeof uc !== "string") {
			throw new TypeError("Lütfen parametrelerin hepsinin String veri tipinde olduğundan emin olun.")
		}
		if(uc == "SIL") {
			var array = bir.split("")
			array.forEach(e => {
				if(e == iki) {
					var index = array.indexOf(e)
					array[index] = ""
				}
			})
			var text = array.join("")
			return text
		}
		var array = bir.split("")
		array.forEach(e => {
			if(e == iki) {
				var index = array.indexOf(e)
				array[index] = uc
			}
		})
		var text = array.join("")
		return text
	}

    static ms(milliseconds) {
		const roundTowardsZero = milliseconds > 0 ? Math.floor : Math.ceil;
		var gunler =roundTowardsZero(milliseconds / 86400000)
		var saatler = roundTowardsZero(milliseconds / 3600000) % 24
		var dakikalar = roundTowardsZero(milliseconds / 60000) % 60
		var saniyeler = roundTowardsZero(milliseconds / 1000) % 60
		var milisaniyeler = roundTowardsZero(milliseconds) % 1000
		var text;
		if (gunler !== 0) text = `${gunler} gün`;
      	if (saatler !== 0 && text) text = text + `, ${saatler} saat`;
      	if (saatler !== 0 && !text) text = `${saatler} saat`;
      	if (dakikalar !== 0 && text) text = text + `, ${dakikalar} dakika`;
      	if (dakikalar !== 0 && !text) text = `${dakikalar} dakika`;
      	if (saniyeler !== 0 && text) text = text + `, ${saniyeler} saniye`;
      	if (saniyeler !== 0 && !text) text = `${saniyeler} saniye`;
      	if (milisaniyeler !== 0 && text) text = text + `, ${milisaniyeler} milisaniye`;
      	if (milisaniyeler !== 0 && !text) text = `${milisaniyeler} milisaniye`
		return {
			gun: roundTowardsZero(milliseconds / 86400000),
			saat: roundTowardsZero(milliseconds / 3600000) % 24,
			dakika: roundTowardsZero(milliseconds / 60000) % 60,
			saniye: roundTowardsZero(milliseconds / 1000) % 60,
			milisaniye: roundTowardsZero(milliseconds) % 1000,
			yazi: text
		};
    }

    static rastgeleSayi(sayi1, sayi2) {
    	if(!sayi1 && sayi1 !== 0) {
			throw new TypeError("Lütfen birinci parametreyi girin.")
		}
		if(!sayi2 && sayi2 !== 0) {
			throw new TypeError("Lütfen ikinci parametreyi girin.")
		}
		if(typeof sayi1 !== 'number') {
			throw new TypeError("Birinci parametre integer veri tipinde olmak zorunda.")
		}
		if(typeof sayi2 !== 'number') {
			throw new TypeError("İkinci parametre integer veri tipinde olmak zorunda.")
		}
		if(sayi1 > sayi2) {
			throw new TypeError('Birinci parametre, ikinci parametreden büyük olamaz.')
		}
		var sayi = Math.floor(sayi1 + Math.random()*(sayi2 + 1 - sayi1))
		return sayi
    }
}
module.exports = index;